<?php
namespace Fifa\ConnectServiceBus\Sdk\Encryption\Model;

/**
 * Class PublicCertificate
 * @package Fifa\ConnectServiceBus\Sdk\Encryption\Model
 */
class PublicCertificate
{
    /**
     * @var string
     */
    private $queueIdentifier;

    /**
     * @var string
     */
    private $key;

    /**
     * Constructor
     *
     * @param string $queueIdentifier
     * @param string $key
     */
    public function __construct(string $queueIdentifier, string $key)
    {
        $this->queueIdentifier = $queueIdentifier;
        $this->key = $key;
    }

    /**
     * String representation of the object
     *
     * @return string
     */
    public function __toString()
    {
        return 'OrganisationId: ' . $this->queueIdentifier;
    }

    /**
     * Gets organisation id
     *
     * @return string
     */
    public function getQueueIdentifier(): string
    {
        return $this->queueIdentifier;
    }

    /**
     * Gets certificate key
     *
     * @return string
     */
    public function getKey(): string
    {
        return $this->key;
    }
}